## ucf 1.17

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile<ucf> --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 22:00:27 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 22:43:32 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 2
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix    =
package   = ucf

ETCDIR    = $(prefix)/etc
BINDIR    = $(prefix)/usr/bin
DEBLIBDIR = $(prefix)/var/lib/$(package)
DEBDOCDIR = $(prefix)/usr/share/doc/$(package)
MANDIR    = $(prefix)/usr/share/man/
MAN1DIR   = $(MANDIR)/man1
MAN5DIR   = $(MANDIR)/man5

# install commands
install_file    := /usr/bin/install -p    -o root -g root -m 644
install_program := /usr/bin/install -p    -o root -g root -m 755
make_directory  := /usr/bin/install -p -d -o root -g root -m 755

all build: check

check:
	bash -n ucf
	bash -n debian/preinst
	bash -n debian/postinst
	bash -n debian/postrm

install:
	$(make_directory)   $(BINDIR)
	$(make_directory)   $(ETCDIR)
	$(make_directory)   $(MAN1DIR)
	$(make_directory)   $(MAN5DIR)
	$(make_directory)   $(DEBLIBDIR)
	$(make_directory)   $(DEBDOCDIR)/examples
	$(install_program)  ucf               $(BINDIR)
	$(install_file)     ucf.1             $(MAN1DIR)
	gzip -9fq           $(MAN1DIR)/ucf.1
	$(install_program)  lcf               $(BINDIR)
	$(install_file)     lcf.1             $(MAN1DIR)
	gzip -9fq           $(MAN1DIR)/lcf.1
	$(install_file)     ucf.conf.5        $(MAN5DIR)
	gzip -9fq           $(MAN5DIR)/ucf.conf.5 
	$(install_file)     ucf.conf          $(ETCDIR)
	$(install_file)     debian/changelog  $(DEBDOCDIR)/changelog
	gzip -9frq          $(DEBDOCDIR)
# make sure the copyright file is not compressed
	$(install_file)     debian/copyright  $(DEBDOCDIR)/copyright
	$(install_file)     examples/postinst $(DEBDOCDIR)/examples/
	$(install_file)     examples/postrm   $(DEBDOCDIR)/examples/

clean distclean:
	@echo nothing to do for clean

## ucf 0.07

=== debian/changelog ===
ucf (0.07) unstable; urgency=low

  * Fix a few missing grep trigger set -e failures.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Mar 2002 01:14:57 -0600

ucf (0.06) unstable; urgency=high

  * Added the ionformational script lcf and the associated man page.
  * Fixed a major thinko in ucf that could potentially trash the hashfile

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Feb 2002 14:30:59 -0600

ucf (0.05) unstable; urgency=low

  * /etc/ucf.conf and ucf.conf(5) disagreed due to a typo in the man
    page. Fixed.                                             closes: Bug#135691
  * Added the ability for the developer to specify a single file with
    historical md5sums, instead of having to ship a directory populated
    with single line files for every configuration file in the
    package. This is now beginning to get reasonably complex ;-)

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Feb 2002 12:03:43 -0600

ucf (0.04) unstable; urgency=high

  * Hmm. Failed to replace the configuration file if the old file was a
    symbolic link to the new file (happened for gnus users). Thanks go to
    wsheets@sbcglobal.net for pointing this out.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Feb 2002 20:21:42 -0600

ucf (0.03) unstable; urgency=low

  * Fixed typo in the long description
  * Fixed the fact that the script was always verbose
  * Fixed a spelling error in a diagnostic

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Feb 2002 23:02:29 -0600

ucf (0.02) unstable; urgency=low

  * Fixed typo in long desc.
  * Changed section to utils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 12 Feb 2002 04:17:38 -0600

ucf (0.01) unstable; urgency=low

  * New version of the package.  

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Feb 2002 22:25:42 -0600

=== debian/control ===
Source: ucf
Section: utils
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.5.6.0

Package: ucf
Architecture: all
Description: Update Configuration File - preserve user changes in config files
 Debian policy states that configuration files must preserve user
 changes during package upgrade. The easy way to achieve this behavior
 is to make the configuration file a `conffile', in which case dpkg
 handles the file specially during upgrades, prompting the user as
 needed.
 .
 This is appropriate only if it is possible to distribute a default
 version that will work for most installations, although some system
 administrators may choose to modify it.  This implies that the
 default version will be part of the package distribution, and must
 not be modified by the maintainer scripts during installation (or at
 any other time). 
 .
 This script attempts to provide conffile like handling for files that
 can not be labelled conffiles, are not shipped in a Debian package,
 but handled by the postinst instead.  This script allows one to
 maintain files in /etc, preserving user changes and in general
 offering the same facilities while upgrading that dpkg normally
 provides for "conffiles".
 .
 Additionally, this script provides facilities for transitioning a
 file that had not been provided conffile like protection to come
 under this schema, and attempts to minimize questions asked at
 install time. Indeed, the transitioning facility is better than the
 one offered by dpkg while transitioning a file from a non-conffile to
 conffile status.

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## debian/rules ---
## Author           : root ( root@melkor.pilgrim.umass.edu )
## Created On       : Tue Jul  9 15:45:40 1996
## Created On Node  : melkor.pilgrim.umass.edu
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Feb 26 14:13:55 2002
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 78
## Status           : Unknown, Use with caution!
## HISTORY          :
## Description      :
##
###############################################################################
#

ifdef ARCH
  ha:=-a$(ARCH)
endif

# set the dpkg-architecture vars
export DEB_BUILD_ARCH      := $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_GNU_TYPE)


#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#
# The name of the package (for example, `emacs').
package = $(shell grep Source debian/control | sed 's/^Source: //')
arch=$(shell dpkg --print-gnu-build-architecture)

# The maintainer information.
maintainer = Manoj Srivastava
email= srivasta@debian.org

# Configuration variables (these should be pretty generic)
SRCTOP    = $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
TMPTOP    = $(SRCTOP)/debian/tmp
ETCDIR    = $(TMPTOP)/etc
BINDIR    = $(TMPTOP)/usr/bin
DEBLIBDIR = $(TMPTOP)/var/lib/$(package)
DEBDOCDIR = $(TMPTOP)/usr/share/doc/$(package)
MANDIR    = $(TMPTOP)/usr/share/man/
MAN1DIR   = $(MANDIR)/man1
MAN5DIR   = $(MANDIR)/man5
LINTIANDIR= $(TMPTOP)/usr/share/lintian/overrides

#  Package specific stuff.  The idea is to try to make the rules
#  generic (gradually).

FILES_TO_CLEAN = stamp-configure stamp-build 
DIRS_TO_CLEAN  = $(TMPTOP) 

# install commands
install_file    := /usr/bin/install -p    -o root -g root -m 644
install_program := /usr/bin/install -p    -o root -g root -m 755
make_directory  := /usr/bin/install -p -d -o root -g root -m 755


all build: stamp-build

stamp-build:
# Builds the binary package.
	$(checkdir)
	touch stamp-build

clean:
# Undoes the effect of `$(MAKE) -f debian/rules build'.
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
          -name '*~' -o -name '*.bak' -o -name '#*#' -o \
          -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
          -size 0 \) -print` TAGS

binary: binary-arch binary-indep

binary-indep: build stamp-binary

binary-arch:
	@echo No arch specific binary packages

stamp-binary:
	$(checkroot)
	$(checkdir)
	rm -rf              $(TMPTOP)
	$(make_directory)   $(TMPTOP)
	chmod g-s           $(TMPTOP)
	$(make_directory)   $(TMPTOP)/DEBIAN
	$(make_directory)   $(BINDIR)
	$(make_directory)   $(ETCDIR)
	$(make_directory)   $(MAN1DIR)
	$(make_directory)   $(MAN5DIR)
	$(make_directory)   $(DEBLIBDIR)
	$(make_directory)   $(DEBDOCDIR)
	$(make_directory)   $(LINTIANDIR)
	echo 	            "ucf: postinst-does-not-set-usr-doc-link" \
                                >> $(LINTIANDIR)/$(package)
	$(install_program)  debian/postinst   $(TMPTOP)/DEBIAN/postinst
	$(install_program)  debian/prerm      $(TMPTOP)/DEBIAN/prerm
	$(install_file)     debian/conffiles  $(TMPTOP)/DEBIAN/conffiles
	$(install_program)  ucf               $(BINDIR)
	$(install_file)     ucf.1             $(MAN1DIR)
	$(install_program)  lcf               $(BINDIR)
	$(install_file)     lcf.1             $(MAN1DIR)
	$(install_file)     ucf.conf.5        $(MAN5DIR)
	$(install_file)     ucf.conf          $(ETCDIR)
	$(install_file)     debian/changelog  $(DEBDOCDIR)/changelog
	touch               $(DEBLIBDIR)/hashfile
	gzip -9frq          $(MANDIR)
	gzip -9frq          $(DEBDOCDIR)
# make sure the copyright file is not compressed
	$(install_file)     debian/copyright  $(DEBDOCDIR)/copyright
	chmod -R u+w        $(TMPTOP)/usr/
	dpkg-gencontrol -isp
	chown -R root.root  $(TMPTOP)
	chmod -R go=rX      $(TMPTOP)
	dpkg --build        $(TMPTOP) ..


checkroot:
	test 0 = $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)

define checkdir
	test -f  ucf.1 -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean

## ucf 1.07

=== debian/changelog ===
ucf (1.07) unstable; urgency=low

  * Bug fix: "[l10:ca] orville-write catalan debconf templates", thanks to
    Aleix Badia i Bosch                                   (Closes: #248754).
  * Bug fix: "ucf: debconf spanish translation", thanks to Lucas Wall
                                                          (Closes: #253244).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 22 Jun 2004 17:51:35 -0500

ucf (1.06) unstable; urgency=low

  * Bug fix: "ucf tries to show diff of non-existent file", thanks to
    Frank Küster. Darn. Applied the fix to the three way merge the last
    time, not to the simple diff stanza.              (Closes: #243953).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Apr 2004 16:28:39 -0500

ucf (1.05) unstable; urgency=low

  * The patch for the optiopn added in the last version was provided by
    Matthew Palmer <mpalmer@debian.org>. Much appreciated.
  * Bug fix: "manpage incorrect for --sum-file", thanks to Matthew Palmer
    Also fixed a typo in ucf reported in the same report, and, while I was
    at it, I escaped all hyphens in ucf.1.                (Closes: #244853).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 15:18:02 -0500

ucf (1.04) unstable; urgency=low

  * Bug fix: "ucf tries to show diff of non-existent file", thanks to
    Frank Küster. This is still the correct behaviour, as long as a
    diff is show, which should be the case now.      (Closes: #243953).
  * Added an option to specify where the old md5sum can be found for
    historical versions. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 12:17:19 -0500

ucf (1.03) unstable; urgency=low

  * Bug fix: "Hangs on waiting for user input _sometimes_", thanks to
    Peter Gervai                                     (Closes: #242445).
  * Bug fix: "ucf: Minor description typo", thanks to Jeroen van
    Wolffelaar                                       (Closes: #243482).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 02:37:52 -0500

ucf (1.02) unstable; urgency=low

  * Bug fix: "ucf: --debconf-ok option useless", thanks to Roger So
    Applied patch; we should only set DEBCONF_OK if it is not set.
                                                  (Closes: #242434).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Apr 2004 13:20:12 -0500

ucf (1.01) unstable; urgency=low

  * Bug fix: "fontconfig: postinst script fails (2)", thanks to Frederic
    Briere                                             (Closes: #241846).
  * Bug fix: "Does not handle invalid PAGER gracefully", thanks to
    J.H.M. Dassen (Ray)                                (Closes: #241890).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  4 Apr 2004 16:09:58 -0500

ucf (1.00) unstable; urgency=low

  * Shut off withecho, since we should be fairly stable now. Bump version
    number to reflect that. 
  * Bug fix: "ucf creates superfluous dpkg-dist files", thanks to Frank
    Küster                                            (Closes: #238730).
  * Bug fix: "ucf: diff is not displayed with DEBIAN_FRONTEND=dialog and
    more as sensible-pager", thanks to Frank Küster. This was nasty. Now
    ucf thinks like sensible-pager, looking at $PAGER,
    /etc/alternatives/pager, and, failing that, ensuring /bin/more exists
    -- and then, if the pager is more, it pauses after displaying the
    diff, so that the diff is not whisked away by debconf looping back to
    ask for what's next.                                (Closes: #239319).
  * Thanks to extensive patches from Fabio Massimo Di Nitto
    <fabbione@fabbione.net>, ucf should now be able to handle file names
    with spaces in them. Touch wood.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Apr 2004 02:10:48 -0600

ucf (0.33) unstable; urgency=low

  * Bug fix: "ucf: Variable errors in ucf script breaks lm-sensors
    installation", thanks to Frédéric Bothamy (Closes: #237944).
  * Bug fix: "apache-common: /etc/apache/modules.conf is not modified",
    thanks to Oliver Zimmermann (Closes: #237946).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Mar 2004 11:14:21 -0600

ucf (0.32) unstable; urgency=low

  * Fixed debconf handling -- POTFILES.in needs t9o have the master
    template, not the generated one.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Mar 2004 12:22:11 -0600

ucf (0.31) unstable; urgency=low

  * Moved to the new debconf mechanism is skeleton-make-rules, which shall
    allow ucf to be backported to older debconf versions.
  * Bug fix: "ucf: Please add the attached Brazilian Portuguese debconf
    template translation", thanks to Andre Luis Lopes (Closes: #235489).
  * Bug fix: "ucf: French debconf templates translation", thanks to Eric
                                                      (Closes: #236715).
  * Bug fix: "ucf: Option --debug exists only in manpage, but is not
    recognized", thanks to Frank KKüster               (Closes: #237114).
  * Bug fix: "ucf: please consider adding symlink support", thanks to Marc
    Haber. Actually, Fabio Massimo Di Nitto <fabbione@fabbione.net> did
    the heavy lifting on this one and sent in a tested, working patch. 
                                                       (Closes: #213080).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Mar 2004 14:48:31 -0600

ucf (0.30) unstable; urgency=low

  * Convert to po-debconf, also thanks to Joey Hess.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Feb 2004 15:22:29 -0600

ucf (0.29) unstable; urgency=low

  * Thanks to Joey Hess for noticing that the debconf support in ucf was
    not complete. Added the template to the control archive, source the
    confmodule in postinst, and purge debconf db on purge. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Feb 2004 09:49:20 -0600

ucf (0.28) unstable; urgency=low

  Joey Hess <joeyh@debian.org>
  * Added debconf support to ucf. It will use debconf for prompting.


=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.5.6.0
+Build-Depends-Indep: po-debconf
+Standards-Version: 3.6.1.0
 
 Package: ucf
 Architecture: all
-Description: Update Configuration File - preserve user changes in config files
+Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user
- changes during package upgrade. The easy way to achieve this behavior
+ changes during package upgrade.  The easy way to achieve this behavior
  is to make the configuration file a `conffile', in which case dpkg
  handles the file specially during upgrades, prompting the user as
  needed.

## ucf 1.13

=== debian/changelog ===
ucf (1.13) unstable; urgency=low

  * Bug fix: "&quot;The cache file is $cached_file&quot; should be printed
    only in verbose mode", thanks to Florent Rougon (Closes: #279350).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Nov 2004 11:24:13 -0600

ucf (1.12) unstable; urgency=medium

  * Bug fix: "ucf creates Destination on "registration" if it
    does not exist", thanks to Florent Rougon (Closes: #279259).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Nov 2004 19:44:00 -0600

ucf (1.11) unstable; urgency=medium

  * Bug fix: "ucf creates Destination on &quot;registration&quot; if it
    does not exist", thanks to Florent Rougon. Now, even if there are no
    mentions of the file in the database, and there is no destination
    file, as long as historical md5sum dirs of files exist, the
    destination is not recreated.                       (Closes: #279259).
  * Bug fix: "ucf leaves files in the cache after --purge", thanks to
    Florent Rougon. The purge action is now moved to a point after the
    cache file name is canclulated.                     (Closes: #279262).
  * Bug fix: "Error messages when ucf-managed files are deleted", thanks
    to Florent Rougon                                   (Closes: #279261).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Nov 2004 15:22:51 -0600

ucf (1.10) unstable; urgency=high

  * Urgency high since the package was mostly useless when used with
    command line arguments and debconf. 
  * Bug fix: "--three-way does not put the file into the cache", thanks to
    Florent Rougon . This is because the threeway option was lost when ucf
    was re-executed under debconf.                         (Closes: #278089).
  * Bug fix: "Typos in the manual pages and default configuration file",
    thanks to Florent Rougon. Much appreciated.            (Closes: #278091).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Oct 2004 13:52:22 -0500

ucf (1.09) unstable; urgency=medium

  * Urgency medium since it does close an important bug that made
    prompting, err, bork for German users
  * Bug fix: "ucf: German translation of the debconf templates is borked",
    thanks to Michael Piefel                             (Closes: #269031).
  * Bug fix: "Please document that "--debconf-ok"; works also if
    debconf is not running", thanks to Frank Küster      (Closes:  #266807).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 22 Sep 2004 13:05:01 -0500

ucf (1.08) unstable; urgency=low

  * Bug fix: "ucf file dest is buggy if dest contains egrep metachars",
    thanks to Hagen von Eitzen                        (Closes: #262134).
  * Bug fix: "ucf: Please add German translation of the debconf
    templates", thanks to Erik Schanze                (Closes: #264432).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Aug 2004 21:07:45 -0500

## ucf 1.17

=== debian/changelog ===
ucf (1.17) unstable; urgency=low

  * Bug fix: "ucf: assumes that debconf-loadtemplates is always there",
    thanks to Miles Bader                                   (Closes: #300159).
  * Added a recommendation for debconf-utils for debconf-loadtemplate (not
    templates). 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Mar 2005 18:26:01 -0600

ucf (1.16) unstable; urgency=low

  * Bug fix: "Typo on line 55 of /usr/bin/ucf", thanks to Troy Arnold
                                                         (Closes: #300136).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 16:55:42 -0600

ucf (1.15) unstable; urgency=low

  * Bug fix: "ucf: spelling error in manpage", thanks to Sean Finney
                                                         (Closes: #296088).
  * Bug fix: "ucf: new configuration file appear two times", thanks to
    Martin Lohmeier. In three way merges, remove the generated .dpkg-new
    file created during the merge                        (Closes: #296186).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 02:46:36 -0600

ucf (1.14) unstable; urgency=low

  * Bug fix: "/usr/share/doc/ucf/examples/postinst refers /usr/man",
    thanks to Marc Haber                                 (Closes: #294558).
  * Bug fix: "[l10n] Initial Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                              (Closes: #287302).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Feb 2005 01:36:25 -0600

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: ucf
 Architecture: all
+Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user
  changes during package upgrade.  The easy way to achieve this behavior

## ucf 1.18

=== debian/changelog ===
ucf (1.18) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ja] initial debconf Japanese translation", thanks
    to Kenshi Muto                                        (Closes: #307007).
  * Bug fix: "'man ucf' typo: &quot;awlays&quot;", thanks to A Costa
                                                           (Closes: #306736).
  * Bug fix: "'man lcf' typos: &quot;algoriothm&quot; and
    &quot;directrory&quot;", thanks to A Costa             (Closes: #306735).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 May 2005 01:27:15 -0500

## ucf 2.004

=== debian/changelog ===
ucf (2.004) unstable; urgency=low

  * Bug fix: "ucf: [INTL:da] Danish debconf template translation", thanks
    to Claus Hindsgaul                                    (Closes: #337038).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Dec 2005 20:23:50 -0600

ucf (2.003) unstable; urgency=low

  * Bug fix: "ucf: Update of the french translation of the debconf
    templates", thanks to Eric                           (Closes: #331290).
  * Bug fix: "ucf: [INTL:sv] Swedish debconf templates translation",
    thanks to Daniel Nylander                            (Closes: #334800).
  * Bug fix: "ucf: Needs root access to display the help message", thanks
    to Frédéric Bothamy. Allow ucf to be run as non-root. This entailed
    not loading debconf related stuff, since that seems to require root
    privileges. Instead, we just emit a diagnostic and go on. Hopefully
    this is enough to let the user know when debconf does not work as
    expected. Also, if ucf is not running as root, automatically
    transition into the no-action mode, so a non-root user can still be
    able run ucf in diagnostic mode.                     (Closes: #332239).
  * Added a note to the man page that --purge does not touch the
    configuration file on disk -- cleaning that up is still the calling
    package's responsibility.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Oct 2005 15:12:58 -0500

ucf (2.002) unstable; urgency=low

  * Bug fix: "INTL:vi Vietnamese translation for ucf", thanks to Clytie
    Siddall                                                (Closes: #323951).
  * Bug fix: "Please document that ucf may not exist when the postrm
    script is called"                                      (Closes: #326085).
  * Bug fix: "Please include sdiff in the menu options", thanks to  Tobias      
    Toedter                                                (Closes: #323989).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Sep 2005 14:52:26 -0500

ucf (2.001) unstable; urgency=low

  * Bug fix: "ucf: missing UCF_FORCE_CONFFMISS option", thanks to Goswin
    Brederlow                                             (Closes: #321702).
  * Add a dependency on debconf.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Aug 2005 15:17:13 -0500

ucf (2.000) unstable; urgency=low

  * Also remove /var/lib/ucf/cache if it is empty. The problem was that
    since the cache directory existed, ucf was   leaving /var/lib/ucf
    behind on purge, which was bad. Thanks to Lars  Wirzenius for noticing.
  * Bug fix: "ucf: [INTL:pl] Polish translation of debconf templates",
    thanks to Robert Luberda                               (Closes: #312716).
  * Bug fix: "ucf: prints verbose info even with VERBOSE=0 set in the
    config file", thanks to Robert Luberda                  (Closes: #312727).
  * Bug fix: "ucf: [INTL:it] Italian debconf translation", thanks to Luca
    Bruno                                                   (Closes: #316913).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jul 2005 12:25:13 -0500

## ucf 2.0012

=== debian/changelog ===
ucf (2.0012) unstable; urgency=low

  * Bug fix: "ucf takes not enough care using readlink -f", thanks to
    Matthew Vernon. While this is not a grave bug (emitting better
    diagnostics is nice, but hardly critical), I did go through and fixed
    all readlink failing issues. I also improved the pager determination
    code, while I was at it, so ucf is more likely to find a sensible
    pager. The new code should also handle a messed up /etc/alternatives
    setup now.                                          (Closes: #372303).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Jun 2006 12:53:50 -0500

ucf (2.0011) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ja] Japanese debconf translation ", thanks to
    Kenshi Muto                                            (Closes: #369187).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Jun 2006 09:58:22 -0500

ucf (2.0010) unstable; urgency=low

  * Bug fix: "[INTL:gl] Galician debconf templates translation", thanks to
    Jacobo Tarrio                                          (Closes: #362135).
  * Bug fix: "[INTL:nl] (new|updated) dutch po-debconf translation",
    thanks to Kurt De Bree                                 (Closes: #363037).
  * Bug fix: "ucf can not handle files with regex ex characters", thanks
    to Sean Finney. Well. We now protect against perl's regexp syntax,
    which ought to be good enough for grep.                 (Closes: #364668).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 May 2006 22:15:58 -0500

ucf (2.009) unstable; urgency=low

  * Added a new script to query the data kept by ucf, including the
    package registry that ucfr maintains.
  * Bug fix: "ucf: Could provide a method to query changed state", thanks
    to Frank Küster                                      (Closes: #342252).
  * Bug fix: "please add an option to list all ucf-managed files
    associated with a package", thanks to Marc Haber     (Closes: #357837).
  * Bug fix: "ucf: please provide infrastructure to remove deleted
    conffiles", thanks to Marc Haber                     (Closes: #358552).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Apr 2006 16:40:13 -0500

ucf (2.008) unstable; urgency=low

  * Bug fix: "ucf: Could use ucf-{old,dist} instead of dpkg-{old,dist}",
    thanks to Frank Küster                             (Closes: #336055).
  * Bug fix: "ucf: Please register information about the package that
    installed a configuration file", thanks to Frank K (Closes: #296598).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                            (Closes: #356534).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Apr 2006 15:03:25 -0500

ucf (2.007) unstable; urgency=low

  * Bug fix: "wrong call to find: invalid argument `-f' to `-type'",
    thanks to Martin Michlmayr                       (Closes: #356498).
  * Bug fix: "ucf: [INTL:pl] Update of the Polish debconf template
    translation", thanks to Robert Luberda            (Closes: #356119).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 12 Mar 2006 08:52:58 -0600

ucf (2.006) unstable; urgency=low

  * Make sure we get rid of all cached files also when purged.
  * Bug fix: "does not purge cached configuration files in
    /var/lib/ucf/cache", thanks to Bart Martens      (Closes: #354441).
  * Bug fix: "tetex-base: purge incomplete", thanks to Bart Martens
                                                     (Closes: #354442).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  5 Mar 2006 10:32:20 -0600

ucf (2.005) unstable; urgency=low

  * Bug fix: "[l10n:de] Updated German translation of the debconf
    templates", thanks to Erik Schanze                       (Closes: #346293).
  * Bug fix: "ucf: Leaves files behind after remove/purge", thanks to JP
    Sugarbroad                                               (Closes: #348415).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Jan 2006 11:46:20 -0600

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Build-Depends-Indep: po-debconf
-Standards-Version: 3.6.1.0
+Build-Depends-Indep: po-debconf, gettext
+Standards-Version: 3.6.2.0
 
 Package: ucf
 Architecture: all
+Depends: debconf (>= 1.2.0) | debconf-2.0
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user

## ucf 2.0017ubuntu1

=== debian/changelog ===
ucf (2.0017ubuntu1) feisty; urgency=low

  * use a debconf note for the diff
  * updated dependency of debconf to 1.4.72 (this is the version that
    supports the "escape" capability) and remove cdebconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Feb 2007 10:50:08 +0100

ucf (2.0017) unstable; urgency=low

  * Bug fix: "ucf: spelling errors", thanks to Matt Taggart (Closes: #395444).
  * Bug fix: "ucf: should be silent when it's being purged", thanks to
    Santiago Vila                                           (Closes: #397112).
  * Bug fix: "please document package registry better", thanks to Frank
    Küster. The package registry is documented in a manual page. Any
    enhancements to the manual page would be gratefully accepted. The ucf
    manual page now has a reference to ucfr and ucfq. I d not think,
    however, that this merits a NEWS file: the vast majority of users who
    install ucf do so since it is pulled in as a dependency, and they
    don't care a white about ucfr being added.  The only people who might
    care are people who use ucf to manage configuration files, and that is
    a very small number.  NEWS items should be relegated to important
    information that may affect the majority of installations; and this
    does not fit the bill.
                                                            (Closes: #395011).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 16 Nov 2006 12:00:03 -0600

ucf (2.0016) unstable; urgency=low

  * Bug fix: "ucfq --help does not work", thanks to arno. The package name
    is ucf, not Ucf, fixed.                                 (Closes: #394269).
  * Bug fix: "ucf: Does not handle pathnames with '//' properly", thanks
    to Frank Küster. We now use readlink -q -m to canonicalize the path
    names presented to ucf.                                 (Closes: #392070).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 11:17:50 -0500

ucf (2.0015) unstable; urgency=low

  * Bug fix: "ucf: Man page path error: /usr/share/doc/examples", thanks
    to Thijs Kinkhorst                                  (Closes: #384126).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 14:27:35 -0500

ucf (2.0014) unstable; urgency=low

  * Bug fix: "ucf: please document the files that should be removed",
    thanks to Torsten Werner                               (Closes: #381736).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Aug 2006 13:26:29 -0500

ucf (2.0013) unstable; urgency=low

  * Bug fix: "ucf: missing versioned dependency on coreutils", thanks to
    Steinar H. Gunderson                                    (Closes: #378334).
  * Bug fix: "ucf: Broken manpage for ucfq", thanks to Benjamin A. Okopnik
                                                            (Closes: #377980).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 02:13:38 -0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
 Build-Depends-Indep: po-debconf, gettext
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2.0
 
 Package: ucf
 Architecture: all
-Depends: debconf (>= 1.2.0) | debconf-2.0
+Depends: debconf (>= 1.4.72), coreutils (>= 5.91)
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user

## ucf 2.0020

=== debian/changelog ===
ucf (2.0020) unstable; urgency=low

  * Bug fix: "Syntax error in /usr/bin/ucfr", thanks to Emmanuel Bouthenot
    Aaargh. Reincorporate change from the NMU. I thought I had done this,
    but I apparently did not.                            (Closes: #407963).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2007 13:27:36 -0600

ucf (2.0019) unstable; urgency=medium

  * Bug fix: "&quot;ucfr: should prepend it's name to error
    messages/warnings&quot;", thanks to Vincent Lönngren. This was already
    the case, for the most part, but a few places had been missed.
                                                            (Closes: #408540).
  * Bug fix: "ucf : [INTL:pt] Portuguese translation for debconf
    messages", thanks to Traduz ML                           (Closes: #410266).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 24 Feb 2007 20:02:07 -0600

ucf (2.0018) unstable; urgency=high

  * Bug fix: "ucf: [INTL:pt_BR] Please consider updating the Brazilian
    Portuguese debconf template translation", thanks to André Luís Lopes
                                                        (Closes: #403817).
  * Bug fix: "ucf: Typo in man page: packagr should be package", thanks to
    per.bojsen@bojsen.us. Simple typo fix.              (Closes: #400839).
  * Bug fix: "ucf: Duplicated phrase in ucf message", thanks to Robert
    Luberda. Simple typo fix.                           (Closes: #406053).
  * Bug fix: "ucf: [ucfq] strange behavior when querying filenames",
    thanks to Frank Küster. Modified ucfq/ucfr man pages to emphasize that
    the scripts need a *full* path name to the file.  Added sanity checks
    such that not providing a full path would result in a diagnostic, but
    for etch just exit gracefully.  For lenny, these scripts shall die
    with an error.  Clarify all over that <path to configuration file>
    means a full path.                                   (Closes: #401899).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 18 Jan 2007 16:09:18 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ucf
 Architecture: all
-Depends: debconf (>= 1.4.72), coreutils (>= 5.91)
+Depends: debconf (>= 1.2.0) | debconf-2.0, coreutils (>= 5.91)
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user

## ucf 3.001

=== debian/changelog ===
ucf (3.001) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ru] Russian debconf template translation", thanks
    to Yuri Kozlov                                        (Closes: #421141).
  * Bug fix: "ucf: should use debconf to display the diff results", thanks
    to Gustavo Noronha Silva. Users using a Graphical frontend are
    surprised when the display apparently just blocks when they ask to see
    a diff (or 3-way diff) of the configuration file being handled, when
    actually the diff is  displayed on the terminal window ucf was run
    on. Until the debconf-escape utility and the escape CAPB support,
    db_subst ran into newline and line length issues. Patch from Michael
    Vogt.                                                 (Closes: #325576). 
  * From Michael Vogt's patch: use a debconf note for the diff. updated
    dependency of debconf to 1.4.72 (this is the version that supports the
    "escape" capability) 
  * Left in the debconf-2.0 as is, since I am assuming anything that
    provides debconf-2.0 should be a drop in replacement, or that should
    be considered a bug. This is a change from Michael Vogt's patch.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2007 11:59:20 -0500

ucf (2.0021) unstable; urgency=low

  * Bug fix: "ucf: does not transfer mode changes to conffile", thanks to
    Marc Haber.  We now use cp -pf to preserve ownership and permissions. 
                                                          (Closes: #406476).
  * Bug fix: "shouldn't .ucf-dist and .ucf-old be included in example
    code?", thanks to Marc Haber                          (Closes: #418240).
  * Bug fix: "possible typo in ucfq(1)", thanks to Marc Haber
                                                          (Closes: #418241).
  * Bug fix: "ucf : [INTL:pt] Updated Portuguese translation for debconf
    messages", thanks to Traduz - Portuguese Translation Team
                                                          (Closes: #418280).
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Apr 2007 18:56:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,6 @@
 Source: ucf
+XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/ucf
+XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/ucf?expand
 Section: utils
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
@@ -7,7 +9,7 @@
 
 Package: ucf
 Architecture: all
-Depends: debconf (>= 1.2.0) | debconf-2.0, coreutils (>= 5.91)
+Depends: debconf (>= 1.4.72) | debconf-2.0, coreutils (>= 5.91)
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user

## ucf 3.005

=== debian/changelog ===
ucf (3.005) unstable; urgency=low

  * Bug fix: "ucfq /path/to/file is broken", thanks to Niko Tyni. Applied
    the patch provided in the report.                     Closes: #460868
  * Of course, this did not mean that the modified column was actually
    filled with valid values: A number of places we were not using the
    proper accessor methods, which added to the confusion. Fixed. 
                                                          Closes: #464238
  * Add a new --debconf-template option to specify an alternate
    caller-provided debconf template for the user prompt. Heavy lifting
    done by Steve Langasek. This was apparently done to allow grub in
    Ubuntu to manage partial file fragments.              Closes: #456241.
  * Use db_x_loadtemplatefile instead of debconf-loadtemplates for template
    loading, and depend on debconf (>= 1.5.19) | cdebconf for the
    implementation. Thanks to Steve Langasek.             Closes: #424926
  * Drop the Recommends: debconf-utils now that it's no longer used.
  * Instead of proceeding merrily on our way if the three way merge fails,
    we now leave the dest file unchanged, leave the mess in the new file
    (foo.ucf-new), tell the user about it, and abort the upgrade by
    exiting with exit 3. We still psit out an error about conflicts.
    Hopefully, this adequately resolves the bug.          Closes: #456245
                                             

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Feb 2008 01:10:57 -0600

ucf (3.004) unstable; urgency=high

  * For "keep current" and "threeway merge", ucf expects answers from
    debconf which differ from what is specified in the template
    master. Frans Pop suggested using the Choices-C feature of debconf,
    which is relatively new, but defines a fixed alias for each option
    which Debconf will then use in db_get and db_set operations -- so no
    more matching the template in the code. He also kindly provided a
    working patch. Updated versioned dependency on debconf to reflect the
    need for a new version.                Closes: #443179, #449274, #453084
  * Bug fix: "[INTL:fi] Finnish translation of the debconf templates",
    thanks to Esko Arajärvi .                            Closes: Bug#448634

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 Nov 2007 03:29:24 -0600

ucf (3.004~fjp) UNRELEASED; urgency=low

  * Use Choices-C in changeprompt templates to simplify interaction with
    debconf.

 -- Frans Pop <fjp@debian.org>  Mon, 01 Oct 2007 17:56:54 +0200

ucf (3.003) unstable; urgency=low

  * Bug fix: "ucf: expects the wrong answers from debconf", thanks to
    Björn Steinbrink. For "keep current" and "threeway merge", ucf expects
    answers from debconf which differ from what is specified in the
    template master, which had been changed in the review process.  This
    fixes that bug; which made ucf mostly useless.         (Closes: #443179). 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Sep 2007 09:58:39 -0500

ucf (3.002) unstable; urgency=low

  * Bug fix: "Polish translation for ucf", thanks to Wojciech Zareba
                                                          (Closes: #430834).
  * Bug fix: "ucf : [INTL:pt] Updated Portuguese translation for debconf
    messages", thanks to Traduz - Portuguese Translation Team
                                                          (Closes: #439691).
  * Bug fix: "ucf: [INTL:fr] French debconf templates translation update",
    thanks to Christian Perrier                           (Closes: #432286).
  * Bug fix: "Fwd: PACOTE: [INTL:pt] Updated Portuguese translation for
    debconf messages", thanks to Miguel Figueiredo        (Closes: #431621).
  * Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov                                 (Closes: #431261).
  * Bug fix: "ucf: [INTL:sv] Swedish debconf templates translation
    update", thanks to Daniel Nylander                    (Closes: #430540).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                               (Closes: #430344).
  * Bug fix: "ucf: [INTL:es] Updated spanish translation", thanks to
    Javier Fernández-Sanguino Peña                        (Closes: #429942).
  * Bug fix: "ucf: [INTL:ja] updated Japanese debconf translation", thanks
    to Kenshi Muto                                        (Closes: #429892).
  * Bug fix: "[INTL:gl] Galician debconf template translation for ucf",
    thanks to Jacobo Tarrio                               (Closes: #429831).
  * Bug fix: "[INTL:eu] ucf debconf basque translation", thanks to Piarres
    Beobide                                               (Closes: #429816).
  * Bug fix: "ucf: [INTL:da] Updated Danish debconf translation", thanks
    to Claus Hindsgaul                                    (Closes: #426787).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze                                          (Closes: #431342).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze. I actually used th translations from the bug 431342
                                                          (Closes: #428717). 
  * Bug fix: "ucf: [INTL:vi] Vietnamese debconf templates translation
    update", thanks to Clytie Siddall                     (Closes: #429909).
  * Bug fix: "ucf: [INTL:vi] Vietnamese debconf templates translation
    update", thanks to Clytie Siddall                     (Closes: #426998).
  * Bug fix: "ucf: [debconf_rewrite] Debconf templates review", thanks to
    Christian Perrier                                     (Closes: #426491).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Sep 2007 00:26:58 -0500

=== debian/control ===
Source: ucf
XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/ucf
XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/ucf?expand
Section: utils
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Build-Depends-Indep: po-debconf, gettext
Standards-Version: 3.7.3.0

Package: ucf
Architecture: all
Depends: debconf (>= 1.5.19) | cdebconf, coreutils (>= 5.91)
Description: Update Configuration File: preserve user changes to config files.
 Debian policy mandates that user changes to configuration files must be 
 preserved during package upgrades. The easy way to achieve this behavior
 is to make the configuration file a 'conffile', in which case dpkg
 handles the file specially during upgrades, prompting the user as
 needed.
 .
 This is appropriate only if it is possible to distribute a default
 version that will work for most installations, although some system
 administrators may choose to modify it. This implies that the
 default version will be part of the package distribution, and must
 not be modified by the maintainer scripts during installation (or at
 any other time). 
 .
 This script attempts to provide conffile-like handling for files that
 may not be labelled conffiles, and are not shipped in a Debian package,
 but handled by the postinst instead. This script allows one to
 maintain files in /etc, preserving user changes and in general
 offering the same facilities while upgrading that dpkg normally
 provides for 'conffiles'.
 .
 Additionally, this script provides facilities for transitioning a
 file that had not been provided with conffile-like protection to come
 under this schema, and attempts to minimize questions asked at
 installation time. Indeed, the transitioning facility is better than the
 one offered by dpkg while transitioning a file from a non-conffile to
 conffile status.
